# Fields

In the last section, we learned about the parts of a template and how they can include references to your data using curly brackets, like `{first_name}`.  Now we're going to learn how to create those references with "fields."

## What is a Field?

A field is how you define a type of data that you want to store and use in Entry Point AI. Fields can be used in multiple places, including [templates](/key-concepts/templates.md) and [transforms](/key-concepts/transforms.md).

If you have a spreadsheet of data, the field name is equivalent to your column header. Fields also consist of a reference and a *type*.

There are four types of Fields in Entry Point:

* Text (default)
* URL
* Predefined Option: a list of possible values (like a dropdown)
* Number

### Field References and Values

The field reference is a lowercase word or series of words, separated by underscores instead of spaces (camel case). It's how to refer to your field in a [template](/key-concepts/templates.md), like a variable.

Examples of field references:

* `input`
* `output`
* `user_inquiry`
* `first_name`
* `list_of_recommendations`

When you use a reference in a template, the actual *values* for a field are get inserted to replace the field *reference* for prompts and training. It's like a placeholder.

For example, if you reference a field using `{first_name`}, then the value might be Bob or Linda. Any field you create will end up having many different possible values.

Going back to our spreadsheet analogy, the field *value* is what we'd see for each cell in a column.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.entrypointai.com/key-concepts/fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
